#include<iostream>
using namespace std;
int main()
{
    int a1,a2;
    char c1,c2;
    cin>>c1>>c2;
    cin>>a1<<" ">>a2;
    if(c1==a&&c2==b)
        cout<<"babab";
    else
        cout<<"nemoguce";
}